System.ServiceModel 4.0.0.0 System.Object To be added.

The class encapsulates the transport security settings for queued transports.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class, using an existing instance.

  The existing instance of the class, to be used in initializing the new instance.
- Property
  4.0.0.0
  System.ServiceModel.MsmqAuthenticationMode To be added.

  MSMQ can authenticate messages that are sent to message queues that require authentication, or messages can explicitly request authentication. The default authentication mode is .

  Gets or sets the that is associated with this instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.MsmqEncryptionAlgorithm To be added.

  MSMQ can encrypt messages on the wire when transferring messages between message queue managers. The default encryption algorithm is .

  Gets or sets the that is associated with this instance of the class.

- Property
  4.0.0.0
  System.Net.Security.ProtectionLevel To be added.

  The default protection level is .

  Gets or sets the that is associated with this instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.MsmqSecureHashAlgorithm To be added.

  The default hash algorithm is .

  Gets or sets the that is associated with this instance of the class.